|繁體中文 设为首页收藏本站切换到宽版
 找回密码
 注册
查看: 417311|回复: 1038
打印 上一主题 下一主题

[启动器] MCLauncherBN 3.3重大更新![内存强制释放][启动失败诊断][超速下载][版本隔离][直播]     [复制链接]

跳转到指定楼层
楼主
发表于 2013-5-14 21:27:05 | 只看该作者 |只看大图 回帖奖励 |倒序浏览 |阅读模式
本帖最后由 zhh0000zhh 于 2014-4-18 12:21 编辑

感谢 seraph0012和sjjklh 在之前的每次更新都打包json文件,此信息永久置顶
所有版本号大于X.X.14.414之版本.NET程序,开始使用publickeytoken=7dfc549dd9abeee0作为签名,以防病毒恶意篡改。
需要添加整合包到启动器整合包下载功能的可以联系作者。(只要具备上传到百度网盘的能力即可。。)
欢迎Beta用户回归!未来的网络会更稳定,我会尽力防止无法更新,但还请收藏此地址,以便防止出现网络问题!
MCLauncherBN 3.3正式发布!



图片是3.3的,由于界面没有调整,所以不更新图片了(这句话懒得删了又加加了又删了,所以即使版本号一致也无须大惊小怪~)
由于论坛附件bug,旧的图片位于本楼底部,此图片使用图床。。。可能不稳定。
  • 全新的用户体验
  • 自动安装Forge,FML,OptiFine
  • 全新的下载体验,智能多线程下载,文件下载自动重连
  • 内建Zip解压缩模块,不再需求外部软件!
  • 兼容登陆插件http://www.mcbbs.net/thread-163528-1-1.html
  • 自动检查jar文件正确性,删除错误的文件并重新下载
  • 改变生成EXE为生成启动脚本,通过向启动器传输args实现快速启动*
  • 启动失败诊断(在线/离线)
  • 配置信息与当前用户绑定(懒人包作者啥都不用管)
  • 一键升级,升级启动器无需用户干预,自动下载,自动安装
  • 兼容Twitch直播(需要对应的minecraft版本)
  • 百度网盘下载加速,支持懒人包下载!**
  • 内存强制释放***
  • 允许不同版本隔离,拥有独立mods,config等文件
  • 允许在隔离模式同时启动多个MC客户端
  • 允许隔离模式与普通模式并存
  • 智能选择隔离模式,以mods文件夹存在作为判断。
*当创建桌面快捷方式后将不再生成bat文件,由于密码是明文存储,请注意文件安全!
**懒人包合作说明
***将导致MC之外的程序反应迟钝,理论上无其他风险

程序运行需求:
  • MS.NET2.0
兼容的语言(未设计手动选择语言,通过检测系统显示语言来确定程序语言):
简体中文,繁体中文(95%,内置翻译引擎),英文(部分机翻。。。)
感谢a20001017翻译的英文语言包,非常感谢!

欢迎制作语言包    13.1213开始多次删减语言文件,故空缺部分即为过时内容


如果是上述支持的语言之外的国家,程序将以简体中文运行
仅兼容java7
建议内存1024M
最后,程序需求微软.net2.0运行库
该运行库Vista/win7自带,win8需要手动启用http://www.cnbeta.com/articles/181317.htm
XP一般Intel/AMD的驱动会把.net装上,如果没有的话,前往微软官方下载
http://www.microsoft.com/zh-cn/download/details.aspx?id=1639

还有用法,和其他启动器一样,与.minecraft放入同一目录








下载地址:
论坛的附件已死。。。待修复。。。请先从百度网盘下载PS:下载量小是因为每次升级都会删除旧的附件~
备用地址:http://pan.baidu.com/s/1EHRNM#dir/path=%2FMCLuncherBN
使用帮助http://www.mcbbs.net/thread-207431-1-1.html
欢迎老用户更新~!我会尽快添加更稳定的更新网络,请收藏此地址,以便规避无法更新的问题!
繁體中文玩家注意,請使用英文路徑或者纯繁体中文路径
部分简体中文字符在java的args中會被識別為??導致啟動失敗!此問題暂时无解。。
杀毒软件兼容性问题:


登陆插件说明:http://www.mcbbs.net/thread-163528-1-1.html
twitch使用方法:http://www.mcbbs.net/thread-198946-1-1.html
启动器API:http://www.mcbbs.net/thread-204278-1-1.html
留言回复(每回复保留7天后删除)

常见问题

Skinme安装说明


已知bug


历史版本:


升级说明:
Release 3.3.14.418 2014-04-18
改变UI风格,保留原始风格(背景支持不变)
修正游戏版本超过一屏后右键错误的bug
将默认添加args恢复为修改的jar文件

更早的更新说明

关于.net2运行库问题的最终回复:
就如同不安装.net2就不能使用显卡驱动控制面板的AMD驱动一样,不装.net2我的程序就无法使用,很简单的道理。


程序仅兼容win2000及以上版本windows
不确定是否兼容IA64平台(那玩意真心真心用不起。。。)

版本预告&美工问题:


关于错误0xc0000135


关于错误0xC000007B


关于点启动游戏后启动器退出,游戏未出现


关于启动游戏后出现Error: loading c:\Java\jre7\bin\msvcr100.dll


程序疑难


扫描报告


PS:发现有熊孩子恶搞启动器的留言系统,搞了将近1W个字符的乱码外加将近50行的fuck you
得出一个结论,熊孩子不光出现在服务器中,同时也出现在启动器中。。。

鸣谢:
感谢 sjjklh 提供了他的正版文件打包及各种支持~
感谢 seraph0012 每次更新都打包json文件,以及每次辛勤的播报~
感谢 angelplayer 多次BUG反馈~

感谢 frank5433 提供了他的域名
感谢 YY 制造的沙城(就是logo后面的主体建筑~)
感谢 orzFLY 提供了twitch的信息
感谢 a20001017 翻译的英文语言包,非常感谢!
感谢 一棵枫树 多次bug反馈及升级提醒~
另外感谢 AlexZhou linhe72 petromaple haidai在开发过程中提供的帮助


评分

参与人数 32人气 +34 金粒 +312 贡献 +2 收起 理由
虚空之巅 + 1 Mcbbs有你更精彩~
小星... + 1 Mcbbs有你更精彩~
htes + 1 + 5 Mcbbs有你更精彩~
mcfans2001 + 1 + 15 楼主你太帅了~很棒的作品!
吾问无为谓1 + 1 大触我们做朋友吧!
eave + 1 + 10 Mcbbs有你更精彩~
Boring_Man + 1 + 10 樓主你太帥了~
1293954832 + 1 + 2 Mcbbs有你更精彩~
ccdarr56686 + 1 + 1 <font><font>樓主你太帥了~</fon.
hj1987hb + 1 + 15 1.7.1除了,更新一下啊,为啥我的打不开1.7.
kj415j45 + 1 楼主你太帅了~
Alex_Soye + 1 楼主你太帅了~
jzd + 1 + 1 楼主你太帅了~
zhaierkai + 1 + 5 碉堡了!
自行车蹭饭吃 + 1 + 3 Mcbbs有你更精彩~
格斗小七 + 5 很棒的作品!
hendyzone + 2 + 35 楼主你太帅了~
orzfly + 1 + 15 差评……
kjfg + 1 界面设置的在美观点就好了....
trumanpan + 20 Mcbbs有你更精彩~

查看全部评分

回复

使用道具 举报

沙发
发表于 2013-5-14 21:42:36 | 只看该作者
怎么做的                        

点评

zhh0000zhh 这个说来话长,你想知道那个方面的  详情 回复 发表于 2013-5-14 22:35
回复 支持 反对

使用道具 举报

板凳
发表于 2013-5-14 22:01:25 | 只看该作者
1.6启动器?不用正版吗
回复 支持 反对

使用道具 举报

地板
发表于 2013-5-14 22:11:39 | 只看该作者
VB.NET?建议LZ用其他语言如delphi、C++Builder做一个,运行库呀太麻烦了

点评

zhh0000zhh 首先我用的是.net2的运行库,只要vista(含)以上的系统都自带了 第二,由于intel和AMD的驱动程序需要.net2的运行库,所以至少一半的XP都有那玩意 第三,.net2的运行库只有22.4MB,非常小 第四,.net2的运行库受到  详情 回复 发表于 2013-5-14 22:34
回复 支持 反对

使用道具 举报

5#
 楼主| 发表于 2013-5-14 22:34:44 | 只看该作者
a913844287 发表于 2013-5-14 22:11
VB.NET?建议LZ用其他语言如delphi、C++Builder做一个,运行库呀太麻烦了

首先我用的是.net2的运行库,只要vista(含)以上的系统都自带了
第二,由于intel和AMD的驱动程序需要.net2的运行库,所以至少一半的XP都有那玩意
第三,.net2的运行库只有22.4MB,非常小
第四,.net2的运行库受到update的推送,自动升级系统的都有
第五,除了脑残的深度精简的XP之外,基本上主流的整合XP都有.net2,虽然整合XP问题很多,但不可否认是中国XP装机主流
综上所述,.net2的运行库并不是障碍
此外,此程序原生支持X64也是.net运行库的好处

点评

水龙腾空 个人喜欢VB APP,精简+经典,且快  详情 回复 发表于 2013-5-25 10:36
a913844287 首先其实大部分ghost系统都不带.NET,而且无法安装上.NET 第二运行库二十多MB,但是运行一个百来行几百K的程序就要搞上二十多MB的运行库你不觉得很烦么?  详情 回复 发表于 2013-5-15 19:19
汤团 菜鸟完全看不懂  详情 回复 发表于 2013-5-14 23:22
回复 支持 反对

使用道具 举报

6#
 楼主| 发表于 2013-5-14 22:35:28 | 只看该作者
Yihc 发表于 2013-5-14 21:42
怎么做的

这个说来话长,你想知道那个方面的

点评

brad214 怎么下载啊  详情 回复 发表于 2013-11-30 11:29
回复 支持 反对

使用道具 举报

7#
发表于 2013-5-14 23:22:04 | 只看该作者
zhh0000zhh 发表于 2013-5-14 22:34
首先我用的是.net2的运行库,只要vista(含)以上的系统都自带了
第二,由于intel和AMD的驱动程序需要.n ...

菜鸟完全看不懂
回复 支持 反对

使用道具 举报

8#
发表于 2013-5-14 23:45:50 | 只看该作者
居然用MFC做。。。Nothing to say...

点评

zhh0000zhh 文盲真可怕,.net和MFC都不分的人,您就不能不装么  详情 回复 发表于 2013-5-14 23:56
回复 支持 反对

使用道具 举报

9#
 楼主| 发表于 2013-5-14 23:56:02 | 只看该作者
zhouyiran2 发表于 2013-5-14 23:45
居然用MFC做。。。Nothing to say...

文盲真可怕,.net和MFC都不分的人,您就不能不装么

点评

zhouyiran2 我知道,好吧我太武断了,仅凭图标进行了判断(不过那图标真的。。。),我错了。。。我也是写程序的,只不过以前都是Pascal和Flash,刚转VC,有些地方不太熟悉,而且学生党时间有点少,有点力不从心。。。  详情 回复 发表于 2013-5-15 00:18
回复 支持 反对

使用道具 举报

10#
发表于 2013-5-15 00:18:26 | 只看该作者
zhh0000zhh 发表于 2013-5-14 23:56
文盲真可怕,.net和MFC都不分的人,您就不能不装么

我知道,好吧我太武断了,仅凭图标进行了判断(不过那图标真的。。。),我错了。。。我也是写程序的,只不过以前都是Pascal和Flash,刚转VC,有些地方不太熟悉,而且学生党时间有点少,有点力不从心。。。

点评

LZX6238 asd。。。这头不是asd的么。。。  详情 回复 发表于 2013-7-5 01:35
jacky9852 看着你的头像,我的狗眼都要瞎掉了  详情 回复 发表于 2013-6-28 14:33
zhh0000zhh 事实上所有.net窗口的默认图标都是那个。。。  详情 回复 发表于 2013-5-15 11:37
回复 支持 反对

使用道具 举报

11#
发表于 2013-5-15 07:54:05 | 只看该作者
1.6的启动器,好厉害啊
回复 支持 反对

使用道具 举报

12#
 楼主| 发表于 2013-5-15 11:37:23 | 只看该作者
zhouyiran2 发表于 2013-5-15 00:18
我知道,好吧我太武断了,仅凭图标进行了判断(不过那图标真的。。。),我错了。。。我也是写程序的,只 ...

事实上所有.net窗口的默认图标都是那个。。。

点评

zhouyiran2 好吧我错了。。。  详情 回复 发表于 2013-5-15 17:41
回复 支持 反对

使用道具 举报

13#
 楼主| 发表于 2013-5-15 12:46:15 | 只看该作者
更新至0.3Beta
回复 支持 反对

使用道具 举报

14#
发表于 2013-5-15 17:41:13 | 只看该作者
zhh0000zhh 发表于 2013-5-15 11:37
事实上所有.net窗口的默认图标都是那个。。。

好吧我错了。。。
回复 支持 反对

使用道具 举报

15#
发表于 2013-5-15 19:19:32 | 只看该作者
zhh0000zhh 发表于 2013-5-14 22:34
首先我用的是.net2的运行库,只要vista(含)以上的系统都自带了
第二,由于intel和AMD的驱动程序需要.n ...

首先其实大部分ghost系统都不带.NET,而且无法安装上.NET
第二运行库二十多MB,但是运行一个百来行几百K的程序就要搞上二十多MB的运行库你不觉得很烦么?

点评

794019781 我没有..............谁谁能告诉我啊!  详情 回复 发表于 2014-4-3 19:01
q1606002636 - -表示用ghost多年 还没遇到装不上.NET的ghost 肯定是安装的姿势问题  详情 回复 发表于 2013-7-2 19:09
sjjklh 无视.net的普遍性而坚决不安装.net,祝你坚持下去  详情 回复 发表于 2013-5-16 11:27
zhh0000zhh 首先,只有阉割严重的XP才不能装.net2 第二,关于.net2运行库问题的最终回复: 就如同不安装.net2就不能使用显卡驱动控制面板的AMD驱动一样,不装.net2我的程序就无法使用,很简单的道理。 建议不能装.net2的建议  详情 回复 发表于 2013-5-15 20:34
回复 支持 0 反对 1

使用道具 举报

Archiver|Mcbbs.net ( 浙ICP备12024311号-2 ) | 手机版

GMT+8, 2014-4-18 21:00 , Processed in 0.077106 second(s), 14 queries , Gzip On.

版权所有 不得转载 © 2010-2012 Minecraft中文论坛

本网站图文非经原创作者同意不得转载或公开传播

返回顶部